DatanodeHttpServer (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.datanode.web, class: DatanodeHttpServer

Package org.apache.hadoop.hdfs.server.datanode.web

# Class DatanodeHttpServer

java.lang.Object
org.apache.hadoop.hdfs.server.datanode.web.DatanodeHttpServer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class DatanodeHttpServer extends Object implements Closeable
Data node HTTP Server Class.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `DatanodeHttpServer.MapBasedFilterConfig`
  Since the DataNode HTTP server is not implemented in terms of the servlet API, it takes some extra effort to obtain an instance of the filter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatanodeHttpServer(org.apache.hadoop.conf.Configuration conf, DataNode datanode, ServerSocketChannel externalHttpChannel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `InetSocketAddress`
  `getHttpAddress()`
  `InetSocketAddress`
  `getHttpsAddress()`
  `void`
  `start()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DatanodeHttpServer

    public DatanodeHttpServer(org.apache.hadoop.conf.Configuration conf, DataNode datanode, ServerSocketChannel externalHttpChannel) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getHttpAddress

    public InetSocketAddress getHttpAddress()

  - ### getHttpsAddress

    public InetSocketAddress getHttpsAddress()

  - ### start

    public void start() throws IOException
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`